#
# spec file for package ghc-lifted-async
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name lifted-async
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        0.9.0
Release:        2.3
Summary:        Run lifted IO operations asynchronously and wait for their results
License:        BSD-3-Clause
Group:          System/Libraries
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
# Begin cabal-rpm deps:
BuildRequires:  ghc-async-devel
BuildRequires:  ghc-constraints-devel
BuildRequires:  ghc-lifted-base-devel
BuildRequires:  ghc-monad-control-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-transformers-base-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if %{with tests}
BuildRequires:  ghc-HUnit-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-tasty-devel
BuildRequires:  ghc-tasty-hunit-devel
BuildRequires:  ghc-tasty-th-devel
%endif
# End cabal-rpm deps

%description
This package provides IO operations from 'async' package lifted to any instance
of 'MonadBase' or 'MonadBaseControl'.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%check
%if %{with tests}
%{cabal} test
%endif


%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)
%doc CHANGELOG.md README.md

%changelog
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.9.0 revision 0 with cabal2obs.
* Mon May 23 2016 mimi.vx@gmail.com
- update to 0.9.0
  * Leverage StM m a ~ a in the Safe module for faster wait/poll/race/concurrently
* Wed Jan 20 2016 mimi.vx@gmail.com
- update to 0.8.0.1
  * Relax upper bound for constraints
  * Drop Monad instance for Concurrently
  * Expose STM operations
  * Relax upper bound for base
  * Add Monoid and Semigroup instances for Concurrently
* Sun Nov 29 2015 mimi.vx@gmail.com
- update to 0.7.0.2
  * Relax upper bound for the constraints package
* Fri Sep  4 2015 mimi.vx@gmail.com
- initial commit
